//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System;
using System.ComponentModel;

namespace CommunityServer.ControlPanel.Controls
{
	/// <summary>
	/// Summary description for ModalButton.
	/// </summary>
	public class ModalButton : CommunityServer.Controls.ModalButton
	{

		public override String ResourceFile 
		{
			get 
			{
				Object state = ViewState["ResourceFile"];
				if ( state != null ) 
				{
					return (String)state;
				}
				return "ControlPanelResources.xml";
			}
			set 
			{
				ViewState["ResourceFile"] = value;
			}
		}

	}

	public class ModalLink : CommunityServer.Controls.ModalLink
	{

		public override String ResourceFile 
		{
			get 
			{
				Object state = ViewState["ResourceFile"];
				if ( state != null ) 
				{
					return (String)state;
				}
				return "ControlPanelResources.xml";
			}
			set 
			{
				ViewState["ResourceFile"] = value;
			}
		}

	}

	public class ModalImage : CommunityServer.Controls.ModalImage
	{

		public override String ResourceFile 
		{
			get 
			{
				Object state = ViewState["ResourceFile"];
				if ( state != null ) 
				{
					return (String)state;
				}
				return "ControlPanelResources.xml";
			}
			set 
			{
				ViewState["ResourceFile"] = value;
			}
		}

	}

}
